# ./addons/eventscripts/bdc/bdc.py

import es
from usermsg import saytext2

class DeadChat(object):
    def __init__(self):
        self.excludeCommands = None
    def scriptLoad(self):
        f = open(es.getAddonPath('bdc') + '/bdc_excludecommands.txt')
        self.excludeCommands = []
        for x in filter(lambda x: str(x) and not x.startswith('//'), f.read().split('\n')):
            self.excludeCommands.append(x)
        f.close()
        es.dbgmsg(0, ' ')
        if self.excludeCommands:
            es.dbgmsg(0, "[BackRaw's DeadChat] ExcludeCommands to check for:")
            es.dbgmsg(0, ' ')
            for x in self.excludeCommands:
                es.dbgmsg(0, '"%s"' % x)
        else:
            es.dbgmsg(0, "[BackRaw's DeadChat] No ExcludeCommands to check for...")
        es.dbgmsg(0, ' ')
        es.addons.registerSayFilter(self.sayFilter)
        es.ServerVar('bdc_ver', 1, "BackRaw's DeadChat").makepublic()
    def scriptUnload(self):
        es.addons.unregisterSayFilter(self.sayFilter)
        del self.excludeCommands[:]
    def sayFilter(self, userid, text, teamonly):
        text   = text.strip('"')
        player = es.createplayerlist(userid)[int(userid)]
        if text not in self.excludeCommands and player['isdead']:
            saytext2('#all' if not teamonly else ('#t' if player['team'] == 2 else '#ct'), player['index'], '\x01*DEAD* \x03%s \x01:  %s' % (player['name'], text))
            return (0, 0, 0)
        return (userid, text, teamonly)
dc = DeadChat()

def load():
    dc.scriptLoad()

def unload():
    dc.scriptUnload()